rule plot_fastq:
    input:
        csv = rules.merge_fastq_stats.output.stat_file,
        group= frangipane_obj.path_group,
        ref= f"{frangipane_obj.path_reference_file}"
    output: 
        png_pb=Path(frangipane_obj.path_stat_plot,"sample_total_pb.png"),
        png_cov=Path(frangipane_obj.path_stat_plot,"sample_sequencingcoverage.png"),
        png_qual=Path(frangipane_obj.path_stat_plot,"sample_reads_qual.png"),
        png_length=Path(frangipane_obj.path_stat_plot,"sample_reads_length.png"),
        png_base=Path(frangipane_obj.path_stat_plot,"sample_reads_base_ratio.png"),
    params:
        plot_dir = frangipane_obj.path_stat_plot
    log:
        output = f"{frangipane_obj.path_logs}/report/plot_fastq.o",
        error = f"{frangipane_obj.path_logs}/report/plot_fastq.e",
    message:
         f"""--------------------
-Running {{rule}}
|-- Input:
|    - Stat file : {{input.csv}}
|-- Output:
|    - Plot : {{params.plot_dir}}
|-- Other infos:
|    - LOG output : {{log.output}} 
--------------------
"""
    run:
        gs.dashboard_fastq(input.csv, gs.get_genome_size(input.ref),input.group,params.plot_dir)