rule fasta_stats2:
    input: 
        fasta_file = rules.abyss_merge.output.merged_fasta
    output: 
        stat_file = f"{frangipane_obj.path_stat_sum}/04_all_contigs-merged-stats.csv"
    log:
        output =  f"{ frangipane_obj.path_logs}/stats/fasta_stats_contigs_merged.o",
        error =  f"{ frangipane_obj.path_logs}/stats/fasta_stats_contigs_merged.e"
    params:
        other_option = frangipane_obj.get_config_value("PARAMS","assembly_stats2")
    message:
         f"""--------------------
-Running {{rule}}
|-- Input:
|   - Fasta dir : {{input}}
|-- Output:
|   - stat file: {{output}}
|-- Others infos :
|   -LOG error: {{log.error}}
--------------------
"""
    singularity:
        tools_config['SINGULARITY']['TOOLS']
    envmodules:
        tools_config["ENVMODULE"]["ASSEMBLY-STATS"]
    shell:
        """
        cmd="assembly-stats {params.other_option} {input.fasta_file}";
        (echo $cmd) > {log.output};
        ($cmd) 1>> {output.stat_file} 2>> {log.error};

        """   